<?php

namespace App\Http\Services;

use App\Http\Repositories\FactoryRepositories;
use App\Http\Repositories\SupplierRepository;

class SupplierService
{
    function __construct(protected SupplierRepository $sup, protected FactoryRepositories $factory){}

    function supAll()
    {
        return $this->sup->supAll();
    }
    function findSup($id){
        return $this->sup->findSup($id);
    }

    function supUpdate($data,$id)
    {
        return $this->sup->supUpdate($data,$id);
    }

    function getSupEdit($id)
    {
        return $this->sup->getSupEdit($id);
    }

    function supStore($data)
    {
        return $this->sup->supStore($data);
    }

    function supDestory(array $ids)
    {
        $this->sup->supDestory($ids);
    }

}